Subject: bug#12587: 24.2; Delayed startup, unresponsive Emacs in MS Windows when netlogon services is running in a domain

From: Mohammed Imaduddin Humayun <[email-masked]>
Date: Mon, 08 Oct 2012 10:49:48 +0200

On 10/7/2012 1:02 PM, Eli Zaretskii wrote:
>> Date: Sun, 07 Oct 2012 12:12:26 +0200
>> From: Mohammed Imaduddin Humayun <[email-masked]>
>> CC: Eli Zaretskii <[email-masked]>
>>
>> w32-get-true-file attributes is set to nil in my case. I tried setting
>> it to local, non-nil and nil in turn with the following results:
>> (i) with netlogon service - delayed Emacs startup as reported in the bug
>> for each of the values
>> (ii) without netlogon service - Emacs starts instantly in all cases
> After Emacs starts, do you see slowdown in file operations, like
> "C-x d" (Dired) for networked directories on the domain for which the
> netlogon service runs?  Or is the slowdown limited to the startup?
>
> Also, your original report says "starting Emacs fails or is miserably
> slow".  When it fails, what message(s) do you see to the effect of the
> failure?  And when it is slow, how much time does it take for Emacs to
> eventually come up?
Below is roughly the order of events after starting Emacs when netlogon 
is running:
- 2~3 min - GUI shows up, Emacs welcome screen (*GNU Emacs*) is not 
loaded yet. Window elements (menus etc.) are unresponsive.
- 6~7 min - Welcome screen shows up. Commands can now be run, GUI is 
responsive.
- Post startup, if w32-get-true-file-attributes is:
         (a) nil:  file operations are responsive albeit 3-4x slower 
than when netlogon is not running i.e. not instantaneous.
         (b) default: extremely sluggish response. File operations 
(opening of files, filename autocomplete or dired etc.) each take 2-3 
minutes or more.

By startup failure I imply the performance is so slow and unpredictable, 
one is unsure if Emacs will actually show up. No error message is 
displayed as such. I'm actually out of patience by this time.

>> I use the binary build which probably isn't meant for debugging. Also my
>> experience in using gdb is limited, but if provided with a debug build
>> and instructions on what to do, I can at least attempt.
> Debug builds of the recent development snapshots are available from
> here:
>
>      http://alpha.gnu.org/gnu/emacs/windows/
>
> First, please see if the same slow startup happens with the latest
> snapshot.  If it does, I will give you instructions on what to do to
> investigate.
>
> Thanks
Yes, the same problem occurs with the latest alpha build 
'emacs-20120917-r110062'.

>> PS: A short screencast of the problem can be viewed here if it helps -
>> http://youtu.be/G36HpkVt8i4
> Does the same happen if you start emacs.exe directly from the cmd
> prompt, instead of clicking on runemacs.exe?
Yes.